Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1039108

Description of problem:

If doing a node-install the satellite cannot connect to the node either because of firewall or networking issues, the node install will fail

but will give no indication of why.

How reproducible:

always

Steps to Reproduce:

1.  Install a satellite server

2.  Attempt to install a node with the firewall still running

Actual results:

Node install fails with an unhelpful error:

/Stage[main]/Foreman_proxy::Register/Foreman_smartproxy[smart.proxy.example.com]/ensure: change fr

om absent to 

 present failed: Could not set 'present on ensure: 422 Unprocessable Entity at                    

             

 /usr/share/node-installer/modules/foreman_proxy/manifests/register.pp:12

 Expected results:

Should show some type of error that would help the user understand what is wrong

Additional info:

Errors seen in /var/log/foreman/production.log:

Unprocessable entity SmartProxy (id: new):

Unable to communicate with the proxy: No route to host - connect(2)

Please check the proxy is configured and running on the host.

Related issues:

Related to Installer - Bug #10466: Proxy registration puppet error is not clear Closed 05/11/2015

History

#1 - 03/04/2016 02:55 PM - Stephen Benjamin

- Project changed from Foreman to Installer

- Subject changed from Error message unclear when capsule fails to register to Satellite (Could not set 'present on ensure: 422 Unprocessable Entity)

to Error message unclear when capsule fails to register (Could not set 'present on ensure: 422 Unprocessable Entity)

- Category set to Foreman modules
- Assignee set to Stephen Benjamin

#2 - 03/07/2016 03:45 AM - Dominic Cleal

- Related to Bug #10466: Proxy registration puppet error is not clear added

#3 - 10/17/2016 03:51 PM - Stephen Benjamin

- Status changed from New to Closed

The new RESTv3 provider delivers the full_messages from the active record errors, so this isn't needed anymore.

#4 - 10/18/2016 04:35 AM - Dominic Cleal

- Status changed from Closed to Resolved

Fixed #14455 for 1.12.0.
